# ma77_info_d Struct Reference

`#include <hsl_ma77d.h>`

List of all members.

## Public Attributes
ma77pkgtype_d_ | detlog
int | detsign
int | flag
int | iostat
int | matrix_dup
int | matrix_rank
int | matrix_outrange
int | maxdepth
int | maxfront
long int | minstore
int | ndelay
long int | nfactor
long int | nflops
int | niter
int | nsup
int | num_neg
int | num_nothresh
int | num_perturbed
int | ntwo
int | stat
int | index [4]
long int | nio_read [2]
long int | nio_write [2]
long int | nwd_read [2]
long int | nwd_write [2]
int | num_file [4]
long int | storage [4]
int | tree_nodes
int | unit_restart
int | unused
ma77pkgtype_d_ | usmall
int | ispare [5]
long int | lspare [5]
ma77pkgtype_d_ | rspare [5]

## Detailed Description

Definition at line 98 of file hsl_ma77d.h.

## Member Data Documentation

ma77pkgtype_d_ ma77_info_d::detlog

Definition at line 99 of file hsl_ma77d.h.

int ma77_info_d::detsign

Definition at line 100 of file hsl_ma77d.h.

int ma77_info_d::flag

Definition at line 101 of file hsl_ma77d.h.

int ma77_info_d::iostat

Definition at line 102 of file hsl_ma77d.h.

int ma77_info_d::matrix_dup

Definition at line 103 of file hsl_ma77d.h.

int ma77_info_d::matrix_rank

Definition at line 104 of file hsl_ma77d.h.

int ma77_info_d::matrix_outrange

Definition at line 105 of file hsl_ma77d.h.

int ma77_info_d::maxdepth

Definition at line 106 of file hsl_ma77d.h.

int ma77_info_d::maxfront

Definition at line 107 of file hsl_ma77d.h.

long int ma77_info_d::minstore

Definition at line 108 of file hsl_ma77d.h.

int ma77_info_d::ndelay

Definition at line 109 of file hsl_ma77d.h.

long int ma77_info_d::nfactor

Definition at line 110 of file hsl_ma77d.h.

long int ma77_info_d::nflops

Definition at line 111 of file hsl_ma77d.h.

int ma77_info_d::niter

Definition at line 112 of file hsl_ma77d.h.

int ma77_info_d::nsup

Definition at line 113 of file hsl_ma77d.h.

int ma77_info_d::num_neg

Definition at line 114 of file hsl_ma77d.h.

int ma77_info_d::num_nothresh

Definition at line 115 of file hsl_ma77d.h.

int ma77_info_d::num_perturbed

Definition at line 116 of file hsl_ma77d.h.

int ma77_info_d::ntwo

Definition at line 117 of file hsl_ma77d.h.

int ma77_info_d::stat

Definition at line 118 of file hsl_ma77d.h.

int ma77_info_d::index[4]

Definition at line 119 of file hsl_ma77d.h.

long int ma77_info_d::nio_read[2]

Definition at line 120 of file hsl_ma77d.h.

long int ma77_info_d::nio_write[2]

Definition at line 121 of file hsl_ma77d.h.

long int ma77_info_d::nwd_read[2]

Definition at line 122 of file hsl_ma77d.h.

long int ma77_info_d::nwd_write[2]

Definition at line 123 of file hsl_ma77d.h.

int ma77_info_d::num_file[4]

Definition at line 124 of file hsl_ma77d.h.

long int ma77_info_d::storage[4]

Definition at line 125 of file hsl_ma77d.h.

int ma77_info_d::tree_nodes

Definition at line 126 of file hsl_ma77d.h.

int ma77_info_d::unit_restart

Definition at line 127 of file hsl_ma77d.h.

int ma77_info_d::unused

Definition at line 128 of file hsl_ma77d.h.

ma77pkgtype_d_ ma77_info_d::usmall

Definition at line 129 of file hsl_ma77d.h.

int ma77_info_d::ispare[5]

Definition at line 134 of file hsl_ma77d.h.

long int ma77_info_d::lspare[5]

Definition at line 134 of file hsl_ma77d.h.

ma77pkgtype_d_ ma77_info_d::rspare[5]

Definition at line 134 of file hsl_ma77d.h.

The documentation for this struct was generated from the following file:

- src/Algorithm/LinearSolvers/hsl_ma77d.h

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines